Bug 735332 - Windows installer can not successfully install condor from the command line in the passive or quiet mode
Summary: Windows installer can not successfully install condor from the command line i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor
Version: 2.0
Hardware: All
OS: Windows
medium
high
Target Milestone: 2.1
: ---
Assignee: Timothy St. Clair
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 11:35 UTC by Petra Svobodová
Modified: 2012-02-08 10:14 UTC (History)
7 users (show)

Fixed In Version: condor-7.6.4-0.4
Doc Type: Bug Fix
Doc Text:
C: Command line installation of the condor.msi file C: Fails to assign input variables to config file F: Update installer preference names to match condor param names R: Command line installation will fill in the proper parameter names
Clone Of:
Environment:
Last Closed: 2012-01-27 19:16:50 UTC


Attachments (Terms of Use)
Installation log (1.06 MB, application/octet-stream)
2011-09-02 11:37 UTC, Petra Svobodová
no flags Details

Description Petra Svobodová 2011-09-02 11:35:09 UTC
Description of problem:
Condor installation from the command line (without the wizard) is not completed; see the attached install log file.

Version-Release number of selected component (if applicable):
condor-7.6.4-0.2.msi

How reproducible:
100%


Steps to Reproduce:
1. Try to install condor from the Windows command line without user interaction: 
msiexec /passive /Lv install.log /package C:\condor_support\condor-7.6.4-0.2.msi CONDOR_HOST="XXX" BROKER_HOST="XXX" ADMIN_EMAIL="" SMTP="" 
2.  Restart the computer: shutdown /r (if it is not restarted yet)

Actual results:
The condor is not installed correctly.

Expected results:
The condor should be installed correctly.

Comment 1 Petra Svobodová 2011-09-02 11:37:49 UTC
Created attachment 521214 [details]
Installation log

Comment 2 Timothy St. Clair 2011-09-06 21:03:07 UTC
It appears the properties have been changed inside of the dialogs.

Comment 3 Timothy St. Clair 2011-09-13 16:44:52 UTC
W/modifications the installer will now use the following condor variables on the command line. 

msiexec /passive /Lv install.log /package
condor-X-Y-Z.msi CONDOR_HOST="my.condor.host.com" QMF_BROKER_HOST="my.qmf.broker.com"
CONDOR_ADMIN="foo@bar.com" SMTP_SERVER="mail.corp.place.com" INSTALLDIR="C:\condor\test"

Comment 5 Timothy St. Clair 2011-09-23 19:08:57 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: Command line installation of the condor.msi file
C: Fails to assign input variables to config file
F: Update installer preference names to match condor param names
R: Command line installation will fill in the proper parameter names

Comment 6 Petra Svobodová 2011-10-04 08:08:04 UTC
The condor installer fills in the proper parameter names; the installation is successful on all tested machines:
Windows XP on x86
Windows Server 2003 on x86 and x86_64
Windows Server 2008 on x86 and x86_64
Windows Server 2008 R2
Windows 7 on x86 and x86_64

Verified on condor-7.6.4-0.6.msi

--> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.